/*
	privss - A private stream searching toolkit.

	Original version copyright (C) 2006 SRI International.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
	General Public License for more details.

  Later changes copyright John Bethencourt, also released under the
  GPLv2 or later.
*/

#include <stdio.h>
#include <stdint.h>
#include <glib.h>
#include <gmp.h>
#include <paillier.h>
#include "privss.h"

/*
	FIXME update
*/

int
main( int argc, char** argv )
{
	enc_query_t* q;
	enc_results_t* r;
	
	q = read_query(  argc > 1 ? argv[1] : "enc_query");
	r = read_results(argc > 2 ? argv[2] : "enc_res", q, 0);
	
	printf("id: %s\n"
				 "num_searched: %d\n"
				 "c_buf len: %d\n"
				 "l_buf len: %d\n"
				 "d_buf len: %d\n"
				 "i_buf len: %d\n",
				 uint64_to_hex(r->id),
				 r->num_searched,
				 r->c_buf->len,
				 r->l_buf->len,
				 r->d_buf->len,
				 r->i_buf->len);

	return 0;
}
